[pytango] 201/483: Continuous Integration enhancement 12

Sandor Bodo-Merle sbodomerle-guest at moszumanska.debian.org
Thu Sep 28 19:14:40 UTC 2017


This is an automated email from the git hooks/post-receive script.

sbodomerle-guest pushed a commit to annotated tag bliss_8.10
in repository pytango.

commit 0eaf9393d13a32573612374516c9aef19db29830
Author: trogucki <trogucki at 4e9c00fd-8f2e-0410-aa12-93ce3db5e235>
Date:   Mon Jan 28 18:35:52 2013 +0000

    Continuous Integration enhancement 12
    
    git-svn-id: http://svn.code.sf.net/p/tango-cs/code/bindings/PyTango/trunk@21958 4e9c00fd-8f2e-0410-aa12-93ce3db5e235
---
 ci/ALBA/build.sh    | 15 ++++++++++++++-
 ci/ALBA/ct32suse11  |  4 ++++
 ci/ALBA/ct64suse121 |  4 ++++
 ci/build.sh         |  5 +----
 4 files changed, 23 insertions(+), 5 deletions(-)

diff --git a/ci/ALBA/build.sh b/ci/ALBA/build.sh
index 8549a1d..af54258 100755
--- a/ci/ALBA/build.sh
+++ b/ci/ALBA/build.sh
@@ -2,14 +2,27 @@
 
 echo "## In ALBA/build.sh ##"
 
-pwd
+
+if [ ! -z "$NODE_NAME" -a -f "$NODE_NAME" ]
+then
+	source "$NODE_NAME"
+else
+	echo "The settings file for the node $NODE_NAME does not exist!"
+	exit 1
+fi
+
+
+export TANGO_ROOT=/tmp/jenkins/jobs/TangoLib
+
 
 export LD_LIBRARY_PATH=/tmp/jenkins/jobs/TangoLib/lib:$LD_LIBRARY_PATH
 export CPLUS_INCLUDE_PATH=/tmp/jenkins/jobs/TangoLib/include:$CPLUS_INCLUDE_PATH
 
+
 echo $LD_LIBRARY_PATH
 echo $CPLUS_INCLUDE_PATH
 
+
 cd ../..
 
 pwd
diff --git a/ci/ALBA/ct32suse11 b/ci/ALBA/ct32suse11
new file mode 100644
index 0000000..6098eee
--- /dev/null
+++ b/ci/ALBA/ct32suse11
@@ -0,0 +1,4 @@
+export LOG4TANGO_ROOT=/homelocal/sicilia
+export OMNI_ROOT=/siciliarep/build/lib/omniORB/omniORB.suse111.32
+export BOOST_ROOT=/siciliarep/build/lib/boost/boost.suse111.32
+export ZMQ_ROOT=/siciliarep/build/lib/zeromq/zeromq.suse111.32
\ No newline at end of file
diff --git a/ci/ALBA/ct64suse121 b/ci/ALBA/ct64suse121
new file mode 100644
index 0000000..948462c
--- /dev/null
+++ b/ci/ALBA/ct64suse121
@@ -0,0 +1,4 @@
+export LOG4TANGO_ROOT=/homelocal/sicilia
+export OMNI_ROOT=/siciliarep/build/lib/omniORB/omniORB.suse121.64
+export BOOST_ROOT=/siciliarep/build/lib/boost/boost.suse121.64
+export ZMQ_ROOT=/siciliarep/build/lib/zeromq/zeromq.suse121.64
\ No newline at end of file
diff --git a/ci/build.sh b/ci/build.sh
index 4364a68..088ad1e 100755
--- a/ci/build.sh
+++ b/ci/build.sh
@@ -1,14 +1,11 @@
 #!/bin/bash
 
-pwd
-
-
 if [ ! -z "$INSTITUTE" -a -d "$INSTITUTE" -a -f "$INSTITUTE/build.sh" ]
 then
 	echo "Executing build.sh for $INSTITUTE"
 	cd "$INSTITUTE"
 	./build.sh
-	exit 0
+	exit $?
 else
 	if [ ! -z "$INSTITUTE" ]
 	then

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/pytango.git



More information about the debian-science-commits mailing list